# Ripristina la Configurazione Iniziale del Load Balancer #
exec { "load_balancer_restore":
	command => "mv ${pwd}/load_balancer/haproxy_bkp.cfg ${pwd}/load_balancer/haproxy.cfg",
	path => "${system_path}"
}
exec { "load_balancer_restart":
	command => "docker restart load-balancer",
	path => "${system_path}"
}

# Aggiorna le Regole di Routing associate al Load Balancer #
exec { "load_balancer_routing_update":
	command => "sleep 3; load_balancer_ip=$(docker inspect load-balancer | grep -E \"\\\"IPAddress\\\": \\\"[0-9].*\\\"\" | cut -d '\"' -f 4); iptables -t nat -D PREROUTING 1; iptables -t nat -D OUTPUT 1; iptables -t nat -I PREROUTING -p tcp --dport 80 -j DNAT --to \$load_balancer_ip:80; iptables -t nat -I OUTPUT -p tcp --dport 80 -o lo -j DNAT --to \$load_balancer_ip:80",
        path => "${system_path}"
}


# Distruggi i Nuovi Server Web #
["web_server", "web_server", "web_server"].each |Integer $index, String $value| {
	$n = $index + 3
	docker::run { "${value}${n}":
		image => "web_server",
		name => "${value}${n}",
		ensure => absent
	}
}
